Package ghidra.trace.model

# Class Lifespan.Empty

java.lang.Object
ghidra.trace.model.Lifespan.Empty

All Implemented Interfaces:
  `Span<Long,Lifespan>`, `Span.Empty<Long,Lifespan>`, `Lifespan`, `Comparable<Lifespan>`, `Iterable<Long>`

Enclosing interface:
  `Lifespan`

public static final class Lifespan.Empty extends Object implements Lifespan, Span.Empty<Long,Lifespan>
The singleton empty lifespan of snapshot keys

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.trace.model.Lifespan

  `Lifespan.DefaultLifeSet, Lifespan.Domain, Lifespan.Empty, Lifespan.Impl, Lifespan.LifeSet, Lifespan.MutableLifeSet`

  ## Nested classes/interfaces inherited from interface generic.Span

  `Span.DefaultSpanMap<N,S extends Span<N,S>,V>, Span.DefaultSpanSet<N,S extends Span<N,S>>, Span.Domain<N,S extends Span<N,S>>, Span.Empty<N,S extends Span<N,S>>, Span.MutableSpanMap<N,S extends Span<N,S>,V>, Span.MutableSpanSet<N,S extends Span<N,S>>, Span.SpanMap<N,S extends Span<N,S>,V>, Span.SpanMapSetter<E,N,S extends Span<N,S>,V>, Span.SpanSet<N,S extends Span<N,S>>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Lifespan.Empty`
  `INSTANCE`

  ### Fields inherited from interface ghidra.trace.model.Lifespan

  `ALL, DOMAIN, EMPTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(long n)`
  `boolean`
  `contains(Long n)`
  Check if this span contains the given value
  `Iterator<Long>`
  `iterator()`
  `long`
  `lmax()`
  `long`
  `lmin()`
  `Long`
  `max()`
  Get the upper endpoint
  `Long`
  `min()`
  Get the lower enpdoint
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface ghidra.trace.model.Lifespan

  `domain, withMax, withMin`

  ### Methods inherited from interface generic.Span

  `bound, compareTo, encloses, intersect, intersects, maxIsFinite, minIsFinite, subtract, toString`

  ### Methods inherited from interface generic.Span.Empty

  `isEmpty`

- ## Field Details

  - ### INSTANCE

    public static final Lifespan.Empty INSTANCE

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### lmin

    public long lmin()
    Specified by:
      `lmin` in interface `Lifespan`

  - ### min

    public Long min()
    Description copied from interface: `Span`
    Get the lower enpdoint
    Specified by:
      `min` in interface `Span<Long,Lifespan>`
    Specified by:
      `min` in interface `Span.Empty<Long,Lifespan>`
    Returns:
      the lower endpoint
    See Also:
      - `Span.isEmpty()`

  - ### lmax

    public long lmax()
    Specified by:
      `lmax` in interface `Lifespan`

  - ### max

    public Long max()
    Description copied from interface: `Span`
    Get the upper endpoint
    Specified by:
      `max` in interface `Span<Long,Lifespan>`
    Specified by:
      `max` in interface `Span.Empty<Long,Lifespan>`
    Returns:
      the upper endpoint
    See Also:
      - `Span.isEmpty()`

  - ### contains

    public boolean contains(long n)
    Specified by:
      `contains` in interface `Lifespan`

  - ### contains

    public boolean contains(Long n)
    Description copied from interface: `Span`
    Check if this span contains the given value
    Specified by:
      `contains` in interface `Span<Long,Lifespan>`
    Specified by:
      `contains` in interface `Span.Empty<Long,Lifespan>`
    Parameters:
      `n` - the value
    Returns:
      true if n is contained in this span

  - ### iterator

    public Iterator<Long> iterator()
    Specified by:
      `iterator` in interface `Iterable<Long>`